Get company by NMLS ID
In: header
Path Parameters
Company NMLS ID
Query Parameters
Period for production metrics (default: last12Months)
"2017" | "2018" | "2019" | "2020" | "2021" | "2022" | "2023" | "2024" | "2025" | "2026" | "last3Months" | "last6Months" | "last12Months" | "last14Months" | "last16Months" | "last18Months" | "last24Months" | "yearToDate" | "allTime"Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/companies/string"{
"data": {
"avgLoanAmount": 0,
"city": "string",
"companyType": "string",
"id": "string",
"loCount": 0,
"name": "string",
"nmlsId": "string",
"rosterJoined": 0,
"rosterLeft": 0,
"scopedUnits": 0,
"scopedVolume": 0,
"state": "string",
"teamSize": 0,
"units": 0,
"volume": 0,
"zip": "string",
"communityLending": {
"affordableHousingTractCount": 0,
"affordableHousingTractPct": 0,
"avgAsianPct": 0,
"avgBlackPct": 0,
"avgDenialRate": 0,
"avgFamilyIncome": 0,
"avgHispanicPct": 0,
"avgHomeValue": 0,
"avgHomeownershipRate": 0,
"avgHouseholdIncome": 0,
"avgIncomeVsMetroPct": 0,
"avgLowModHouseholdPct": 0,
"avgMedianAge": 0,
"avgMilesToCollege": 0,
"avgMilesToSchool": 0,
"avgMilesToWorship": 0,
"avgMinorityPct": 0,
"avgPopulation": 0,
"avgPovertyRate": 0,
"avgTractApplications": 0,
"avgTractLoanVolume": 0,
"avgTractOriginations": 0,
"avgWhiteNonHispanicPct": 0,
"difficultDevelopmentAreaCount": 0,
"difficultDevelopmentAreaPct": 0,
"distressedTractCount": 0,
"distressedTractPct": 0,
"floodHazardTractCount": 0,
"floodHazardTractPct": 0,
"loansWithCommunityData": 0,
"lowModIncomeTractCount": 0,
"lowModIncomeTractPct": 0,
"majorityMinorityTractCount": 0,
"majorityMinorityTractPct": 0,
"opportunityZoneCount": 0,
"opportunityZonePct": 0,
"predominantFloodZone": "string",
"predominantIncomeLevel": "low",
"ruralGradient": 0,
"ruralTractCount": 0,
"ruralTractPct": 0,
"usdaEligibleTractCount": 0,
"usdaEligibleTractPct": 0
},
"registration": {
"activeLoCount": 0,
"branchCount": 0,
"businessStructure": "string",
"city": "string",
"dateFormed": "string",
"formedIn": "string",
"licensedStates": [
"string"
],
"location": {
"lat": 0,
"lon": 0
},
"postalCode": "string",
"primaryFederalRegulator": "string",
"registrationStatus": "string",
"state": "string",
"stockSymbol": "string",
"street": "string",
"tradeNames": [
"string"
],
"websites": [
"string"
]
}
}
}{
"error": "string"
}{
"error": "string",
"limit": 0,
"size": 0
}Get bulk-delivery job status for companies GET
Previous Page
Search companies with filters POST
Search and list individual mortgage companies with filters — one row per company. Filter by name, NMLS ID, location (state, county, city, zip), and production metrics (loan volume, units, market share) by period and geography, with sorting and cursor pagination. This is the per-company record search: use it to find specific mortgage lenders/companies or build a filtered company list. (For a single company by ID use the company detail endpoint.) If you only need how many companies match and not the records themselves, send the same request body to `countCompanies`.